
//////////////////////////////////////////////////////////////
//    
//    Author	: Recep Akkoc == BeyazSeytan == SheyTaNi999
//    Created	: 15.08.2006 - ??.??.????
//    Purpose	: WebWizTurk@BS_stilo.Js 
//    Version   : 1.2
//    
//    Copyright : All Rights Reserved
//
//////////////////////////////////////////////////////////////


// Hot'a siz Cool Olmaz Hatamizi kabullenelim :)

function HataKabul(){
 return true
 }
 

///      Load barini gereken yere oturtalim

function konuslandirLOAD() {
  getElementId('Load').style.top = document.body.scrollTop + 2 + 'px';
 }
 

///      Atomik Fonksiyon : Id den nesne al

function getElementId(Element) {
 return document.getElementById(Element);
 }
 

///      Atomik Fonksiyon : Yoldan Resim yazma
function ResimGos(Yol) {
 return '<img src='+ Yol +' border=0>'
 }


///      Atomik Fonksiyon : Browser'a gore xmlHTTP nesnesi yaratma

function XMLHTTP() {  // xmlhttp fonksiyonumuz
 var xmlhttp;
 /*@cc_on @*/
 /*@if (@_jscript_version >= 5)
 try { xmlhttp=new ActiveXObject("Msxml2.XMLHTTP"); }
  catch (e) {
   try { xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
   }
  catch (E) { xmlhttp=false; }
 }
 @else xmlhttp=false; @end @*/
 if(!xmlhttp && typeof XMLHttpRequest != 'undefined') {
  try { xmlhttp = new XMLHttpRequest(); }
  catch (e) { xmlhttp=false; }
  }
 return xmlhttp;
 }
 

///      Atomik Fonksiyon : Sayfaya post ve get sorgusu cekme
    
function gonder(postsayfasi,yazdirilacak,query,getquery) {
 var postsayfasi;
 var sayfa = postsayfasi+".asp?" + getquery ;
 var query;
 var xmlhttp = XMLHTTP();
 xmlhttp.open("POST",sayfa);
 xmlhttp.setRequestHeader("Content-type", "application/x-www-form-urlencoded;charset=windows-1254");
 xmlhttp.setRequestHeader("Content-type", "application/x-www-form-urlencoded;language=tr");
 xmlhttp.send(query);
  yaz(yazdirilacak,escape(HataBildir('Islem Yapiliyor. Lutfen Bekleyiniz...')));
 xmlhttp.onreadystatechange = function() {
// Yukleme Bittišinde Yapilacaklar
 if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
  // islemde Sorun yok ise
  yaz(yazdirilacak,xmlhttp.responseText);
  //alert(xmlhttp.responseText);
  }
  else {
   if (xmlhttp.readyState == 4 && xmlhttp.status == 404) {
    // Sayfa Yok ise
    yaz(yazdirilacak,HataBildir('<br><br>404 - Sayfa Bulunamiyor'));
    }
   else {
    // ic sunucu hatasi var ise
    if (xmlhttp.readyState == 4 && xmlhttp.status == 500) {
     yaz(yazdirilacak,HataBildir('<br><br>Sayfa Filitre Hatasi') + '<br>' + xmlhttp.responseText);
	 }
	else{
	 // Kaynak bos geliyor ise
	 if (xmlhttp.readyState == 4 && xmlhttp.status == 1223) {
	  yaz(yazdirilacak,HataBildir('<br><br>Sayfa Okuma Hatasi'));
	  }
	 else{
	  // Baska bir dangalaklik olur ise :)
	  yaz(yazdirilacak,'Sayfa Kodu');
	  }
	 }
	}
   }      
  }
 } 
 

///      Atomik Fonksiyon : Belirtilen alana bilgi yazma

function yaz(alan,yazi) {
 var yazi;
 var alan;
  x = getElementId(alan);
  x.style.visibility = "visible";
  x.style.display = '';
  x.innerHTML = unescape(yazi);
 }
 

///      Atomik Fonksiyon : Belirtilen alana bilgi ekleme

function ekle(alan,yazi) {
 var yazi;
 var alan;
  x = getElementId(alan);
  x.style.visibility = "visible";
  x.style.display = '';
  x.innerHTML = x.innerHTML + unescape(yazi);
 }
 

///      Atomik Fonksiyon : alani gorunur kilmak

function ac(alan) {
 div = getElementId(alan);
 div.style.visibility='visible';
 div.style.display = '';
 }
 

///      Atomik Fonksiyon : alani gorunmez kilma

function Kapa(alan) {
 div = getElementId(alan);
 div.style.visibility='hidden';
 div.style.display = 'none';
 }
 

///      Atomik Fonksiyon : bir alani baska bir alan tasima

function tasi(alan,alan2) {
 var alan2;
 var alan;
  x = getElementId(alan);
   x.style.visibility = "visible";
   x.innerHTML = getElementId(alan2).innerHTML;
 }
  
 
///     Atomik Fonksiyon : Form'a Value yazma

function formyaz(alan,yazi) {
 getElementId(alan).value = yazi;
 }
  
 
///     Atomik Fonksiyon : Formdan Value Okuma

function formoku(alan,yazi) {
 return getElementId(alan).value;
 }
 

///      Atomik Fonksiyon : Bir Form nesnesini okuma

function form1(deger) {
 var query = deger + "=" + escape(getElementId(deger).value);
  return query;
 }
 

///      Atomik Fonksiyon : Form dan dan2. post sorgusunu okutma

function form(val) {
 var query= "&" + val + "=" + escape(getElementId(val).value);
  return query;
 }
 

///      Atomik Fonksiyon : Check box check mi die bakma

function check(deger) {
 var donen = null;
  if(!getElementId(deger).checked)
   donen = "&"+deger+"=0";
  else
   donen = "&"+deger+"=1";
 return donen;
 }


///      Atomik Fonksiyon : Text icindeki linkleri yaratma [Http:// - www. - xxx@xx.x]


function CLink(strMetin) {
 var aMetin = strMetin.split(' ');
 var i;
 var Deyisim = false;
 var YeniMetin = strMetin;
 for ( i=0; i<aMetin.length;i++){
  if(eval("'"+aMetin[i]+"'.search(/" + "http:" + "/i)") == 0 && aMetin[i].indexOf(".") != -1) {
   aMetin[i] = "<a href=\"" +  aMetin[i] + "\" target=\"_blank\">" + aMetin[i] + "</a>";
   Deyisim = true;			 
   }
  else if(eval("'"+aMetin[i]+"'.search(/" + "www" + "/i)") == 0 && aMetin[i].indexOf(".") != -1) {
   aMetin[i] = "<a href=\"http://" +  aMetin[i] + "\" target=\"_blank\">" + aMetin[i] + "</a>";
   Deyisim = true;			 
   }
  else if( aMetin[i].indexOf("@") > 0 && aMetin[i].indexOf("@") < aMetin[i].indexOf(".") ) {
   aMetin[i] = "<a href=\"mailto:" +  aMetin[i] + "\" target=\"_blank\">" + aMetin[i] + "</a>";
   Deyisim = true;			 
   }
  }
 if( Deyisim == true ) {
  YeniMetin = "";
  for ( i=0; i<aMetin.length;i++) {
   YeniMetin += aMetin[i] + " ";
   }
  }
 return YeniMetin;
 }
 

///      Atomik Fonksiyon : Cookie'a veri kaydetme [sonsuz icin time = -1]

function yazCookie(CookieName,CookieValue,CookieTime) {
 var time = new Date();
 if (CookieTime == -1) {
  time.setTime(time.getTime()+(365*24*60*60*1000));
  }
 else {
  time.setTime(time.getTime()+(CookieTime*60*60*1000));
  }
 //alert(time.toGMTString())
 document.cookie = CookieName + "=" + CookieValue + "; expires=" + time.toGMTString() + "; path=/";
 }
 

///      Atomik Fonksiyon : Cookie'dan veri okuma

function okuCookie(CookieName) {
 var  cookieNameV = CookieName + "=";
 var i = 0;
 var tamam = false;
 var Deyer = null;
 var CookieArray = document.cookie.split(';');
 var CookieElement;
 while( i < CookieArray.length && tamam == false ) {
  CookieElement = CookieArray[i];
  while ( CookieElement.charAt(0) == ' ' ) {
   CookieElement = CookieElement.substring(1,CookieElement.length);
   }
  if ( CookieElement.indexOf(cookieNameV) == 0) {
   Deyer = CookieElement.substring(cookieNameV.length,CookieElement.length);
   tamam = true;
   }	
  i++;
  }
 return Deyer;
 }
 

///      Atomik Fonksiyon : Cookie kaydini silme

function silCookie(CookieName) {
 yazCookie(CookieName,"",0);
 } 


///      Atomik Fonksiyon : iki alani yok etme

function kapat(alan,alan2) {
 div = getElementId(alan);
 div2 = getElementId(alan2);
  div.style.visibility="hidden";
  div2.style.visibility="hidden";
 }
 

///      Atomik Fonksiyon : Hata bildirim metni olusturma

function HataBildir(Metin) {
 return '<center><font color=#CC0000><b>' + Metin + '</b></font></center>';
 }
  

///      Atomik Fonksiyon : Sonuc bildirim metni olusturma

function SonucBildir(Metin) {
 return '<font face="Tahoma" color="#C4C4C4"><b>' + Metin + '</b></font>';
 }
 

///      Atomik Fonksiyon : Popup acma

function pencere_ac(neresi,width,height,baslik) {
 window.open(""+neresi, ""+baslik, "toolbar=0, width="+width+", height="+height+",resizeable=yes,scrollbars=yes");
 }
 

///      Atomik Fonksiyon : acma-kapama // Resim degistirme

function Invert(objID) {
 var objStyle = getElementId('CatDiv' + objID + 'R').style.display
 if (objStyle =='none'){
  Kapa('CatDiv'+objID+'S');
  ac('CatDiv'+objID+'R');
  yazCookie('Cookie'+objID,'','-1');
  }
 else {
  Kapa('CatDiv'+objID+'R');
  ac('CatDiv'+objID+'S');
  yazCookie('Cookie'+objID,'none','-1');
  } 
 }
 

///      Atomik Fonksiyon : Resimlere Ustune geldiginde degisme efeyi waerme

function ButtonOver(Code) {
 var OnButtons = getElementId('B'+Code);
  if(OnButtons.src.search('Buttons/B')!=-1){
   OnButtons.src = 'Buttons/N' + Code + '.gif';
   }
  else {
   OnButtons.src = 'Buttons/B' + Code + '.gif';
   }
 }
 

 ///      Atomik Fonksiyon : Ustne tikanilan seyin X-Y koordinatlarini alma
  
function fBas(e){
	fIcX = (ie)?event.offsetX:e.layerX;
	fIcY = (ie)?event.offsetY:e.layerY;
}


 ///      Atomik Fonksiyon : Resim degistirme
  
function imgSrc(imgID,strSrc) {
 getElementId(imgID).src = strSrc;
 }


 ///      Atomik Fonksiyon : Sayi Eksilt
  
 function Eks(Ek) {
 var RepNum = document.getElementById('Hak' + Ek);
  if (RepNum.value > 0 ) {
   RepNum.value--;
  }
 }


 ///      Atomik Fonksiyon : Sayi Arttir

function Art(Ek) {
 var RepNum = document.getElementById('Hak' + Ek);
 if (RepNum.value < 10 ) {
   RepNum.value++;
  }
 }


 ///      Atomik Fonksiyon : Kontrol

function Kont(Ek) {
 var RepNum = document.getElementById('Hak' + Ek);
  RepNum.value = RepNum.value % 11
 }
 
 ///      Atomik Fonksiyon : Topic oylama modulunde oy gondermek icin fonksion
 
function TopicOyGonder(KacOy,Nereye) {
 getElementId('KacOy').value = KacOy;
 getElementId('HangiOy').value = Nereye;
 getElementId('OyGonderim').submit();
 } 
  
 ///      Atomik Fonksiyon : HakPuan Oylama Modulu icin fonksion
 
function UyeHakVer(Nekadar,Kime,Koordinat) {
 getElementId('KacHak'+Koordinat).value = Nekadar;
 getElementId('HakForm'+Koordinat).submit();
 }
 
//// Belasoft.net - WebWizTurk.com \\\\